Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.ray
Class GroIMPRTProgressListener

    java.lang.Object
      de.grogra.imp3d.ray.GroIMPRTProgressListener

All Implemented Interfaces:
  RTProgressListener

    public class GroIMPRTProgressListener

extends java.lang.Object
implements RTProgressListener

Field Summary

Fields inherited from interface de.grogra.ray.event.RTProgressListener
`LIGHTNING_POSTPROCESSING, LIGHTNING_PREPROCESSING, LIGHTNING_PROCESSING, RENDERING_POSTPROCESSING, RENDERING_PREPROCESSING, RENDERING_PROCESSING`

Constructor Summary
`GroIMPRTProgressListener(Workbench workbench)`

Method Summary
`void` | `beginProgress()`
`void` | `endProgress()`
`void` | `progressChanged(int type, double progress, java.lang.String text, int x, int y, int width, int height)`
`void` | `setImage(java.awt.image.BufferedImage image, java.awt.image.ImageObserver observer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroIMPRTProgressListener

    public GroIMPRTProgressListener(Workbench workbench)

Method Detail

### beginProgress

    public void beginProgress()

### endProgress

    public void endProgress()

### progressChanged

    public void progressChanged(int type,
                                double progress,
                                java.lang.String text,
                                int x,
                                int y,
                                int width,
                                int height)

  Specified by:
    `progressChanged` in interface `RTProgressListener`

### setImage

    public void setImage(java.awt.image.BufferedImage image,
                         java.awt.image.ImageObserver observer)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD